<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddSubirarchivoStatus extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('gtv_subirarchivo', function (Blueprint $table) {
            $table->engine = "InnoDB";
            $table->charset = 'utf8';
            $table->collation = 'utf8_unicode_ci';
            $table->integer('status_subarc')->nullable()->after('path_subarc');
            $table->string('comentario_subarc')->nullable()->after('status_subarc');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('gtv_subirarchivo', function (Blueprint $table) {
            $table->dropColumn('status_subarc');
            $table->dropColumn('comentario_subarc');
        });
    }
}
